Browse Source

Remove parameters deprecated by puppet-neutron

[1] removed some deprecated parameters in puppet-neutron. Some of
them are still being used by Packstack, so let's remove them.

[1] - https://review.openstack.org/575976

Change-Id: I4b4beac2f4061689056c399e05d9dd5c6689e82f
Javier Pena 10 months ago
parent
commit
bb28296d5e

+ 0
- 3
docs/packstack.rst View File

@@ -820,9 +820,6 @@ Neutron ML2 plugin config
820 820
 **CONFIG_NEUTRON_ML2_VXLAN_GROUP**
821 821
     Comma-separated list of addresses for VXLAN multicast group. If left empty, disables VXLAN from sending allocate broadcast traffic (disables multicast VXLAN mode). Should be a Multicast IP (v4 or v6) address.
822 822
 
823
-**CONFIG_NEUTRON_ML2_SUPPORTED_PCI_VENDOR_DEVS**
824
-    Comma separated list of supported PCI vendor devices defined by vendor_id:product_id according to the PCI ID Repository.
825
-
826 823
 **CONFIG_NEUTRON_ML2_VNI_RANGES**
827 824
     Comma-separated list of <vni_min>:<vni_max> tuples enumerating ranges of VXLAN VNI IDs that are available for tenant network allocation. Minimum value is 0 and maximum value is 16777215.
828 825
 

+ 0
- 16
packstack/plugins/neutron_350.py View File

@@ -461,20 +461,6 @@ def initConfig(controller):
461 461
                          "Geneve will be used as encapsulation method for tenant networks"),
462 462
              "MESSAGE_VALUES": ["ovn"]},
463 463
 
464
-            {"CMD_OPTION": "os-neutron-ml2-supported-pci-vendor-devs",
465
-             "CONF_NAME": "CONFIG_NEUTRON_ML2_SUPPORTED_PCI_VENDOR_DEVS",
466
-             "PROMPT": ("Enter a comma separated list of supported PCI "
467
-                        "vendor devices, defined by vendor_id:product_id "
468
-                        "according to the PCI ID Repository."),
469
-             "OPTION_LIST": [],
470
-             "VALIDATORS": [],
471
-             "DEFAULT_VALUE": ['15b3:1004', '8086:10ca'],
472
-             "MASK_INPUT": False,
473
-             "LOOSE_VALIDATION": False,
474
-             "USE_DEFAULT": False,
475
-             "NEED_CONFIRM": False,
476
-             "CONDITION": False},
477
-
478 464
             {"CMD_OPTION": "os-neutron-ml2-sriov-interface-mappings",
479 465
              "PROMPT": ("Enter a comma separated list of interface mappings "
480 466
                         "for the Neutron ML2 sriov agent"),
@@ -968,8 +954,6 @@ def create_l2_agent_manifests(config, messages):
968 954
     if agent in ["openvswitch", "ovn"]:
969 955
         ovs_type = 'CONFIG_NEUTRON_ML2_TYPE_DRIVERS'
970 956
         ovs_type = config.get(ovs_type, 'local')
971
-        tunnel = use_openvswitch_vxlan(config) or use_openvswitch_gre(config)
972
-        config["CONFIG_NEUTRON_OVS_TUNNELING"] = tunnel
973 957
         tunnel_types = set(ovs_type) & set(['gre', 'vxlan'])
974 958
         config["CONFIG_NEUTRON_OVS_TUNNEL_TYPES"] = list(tunnel_types)
975 959
 

+ 0
- 1
packstack/puppet/modules/packstack/manifests/neutron/ml2.pp View File

@@ -17,7 +17,6 @@ class packstack::neutron::ml2 ()
17 17
       vni_ranges                => hiera_array('CONFIG_NEUTRON_ML2_VNI_RANGES'),
18 18
       enable_security_group     => true,
19 19
       firewall_driver           => hiera('FIREWALL_DRIVER'),
20
-      supported_pci_vendor_devs => hiera_array('CONFIG_NEUTRON_ML2_SUPPORTED_PCI_VENDOR_DEVS'),
21 20
       extension_drivers         => 'port_security,qos',
22 21
       max_header_size           => 38,
23 22
     }

+ 0
- 1
packstack/puppet/modules/packstack/manifests/neutron/ovs_agent.pp View File

@@ -45,7 +45,6 @@ class packstack::neutron::ovs_agent ()
45 45
     class { '::neutron::agents::ml2::ovs':
46 46
       bridge_uplinks   => $bridge_uplinks,
47 47
       bridge_mappings  => $bridge_mappings,
48
-      enable_tunneling => hiera('CONFIG_NEUTRON_OVS_TUNNELING'),
49 48
       tunnel_types     => hiera_array('CONFIG_NEUTRON_OVS_TUNNEL_TYPES'),
50 49
       local_ip         => force_ip($localip),
51 50
       vxlan_udp_port   => hiera('CONFIG_NEUTRON_OVS_VXLAN_UDP_PORT',undef),

+ 0
- 1
packstack/puppet/modules/packstack/manifests/neutron/vpnaas.pp View File

@@ -1,7 +1,6 @@
1 1
 class packstack::neutron::vpnaas ()
2 2
 {
3 3
     class { '::neutron::agents::vpnaas':
4
-      enabled           => true,
5 4
       vpn_device_driver => 'neutron_vpnaas.services.vpn.device_drivers.libreswan_ipsec.LibreSwanDriver',
6 5
     }
7 6
 }

+ 6
- 0
releasenotes/notes/Remove-CONFIG_NEUTRON_ML2_SUPPORTED_PCI_VENDOR_DEVS-param-926649e4eef08b44.yaml View File

@@ -0,0 +1,6 @@
1
+---
2
+deprecations:
3
+  - |
4
+    The CONFIG_NEUTRON_ML2_SUPPORTED_PCI_VENDOR_DEVS is no longer needed in
5
+    the answers file. The upstream parameter was already removed, and all
6
+    PCI device ids are supported by Nova and Neutron.

Loading…
Cancel
Save